// =========THEORY================
/*
1. Що таке оператори в JavaScript і які їхні типи ви знаєте?

Операторами в JS  називаються символи що виконують відповідні операції над операндами (значеннями).
Типи операторів:

Оператор присвоєння:
= - оператор присвоєння;

Арифметичні оператори:
+ - оператор додавання(складання);
- - оператор віднімання;
/ - оператор ділення;
* - оператор множення;
** або **= - оператор приведення в ступінь;


Оператори порівняння:
== - оператор рівності;
=== - оператор строгої рівності;
!= - оператор нерівності;
!== - оператор строгої нерівності;
> або < -оператори більше, менше;
>= або <= - оператори більше-дорівнює або менше-дорівнює; 

Логічні оператори:
&& - оператор логічне "і";
|| - оператор логічне "або";
! - оператор логічне "ні";
!! - подвійна негація;
?? - jператор обʼєднання з нульовим злаганням;


2. Для чого використовуються оператори порівняння в JavaScript? Наведіть приклади таких операторів.

Оператори порівняння використовуються для порівняння двох значень. Також оператор порівняння повертає булеве значення, не дивлячись які типи данних він порівнює.
Оператори порівняння є потужним інструментом для роботи с кодом.

Оператори порівняння:
==;
===;
!=;
!==;
< >;
>= або <=; 


3. Що таке операції присвоєння в JavaScript? Наведіть кілька прикладів операцій присвоєння.

Операції присвоєння слугують для присвоєння значення змінній та виконуються завдяки оператору присвоєння"=";

Приклад:
1) let a = 10;
В цьому прикладі перемінній "а" присвоїли значення "10";

2) let a = 10;
	let b = 20;
	let c = 30;

	a = b = c; //30
Ланцюгове присвоєння, результатом чого кожна перемінна буде = 30;
*/



// =========PRACTICE============

// 1. 

const username = "Bohdan";
const password = "secret";

let signIn = prompt(username);

console.log(signIn == password);



// if(signIn == password){
// 	console.log(true);
// }else{
// 	console.log(false);
// };

// 2.

let x = 5;
let y = 3;

alert(x + y);
alert(x - y);
alert(x * y);
alert(x / y);

